%define api	0.2
%define major	1
%define major_grlnet	0
%define libname	%mklibname %{name} %{api} %{major}
%define libname_grlnet	%mklibname grlnet %{api} %{major_grlnet}
%define girname %mklibname %name-gir %{api}
%define devname	%mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		grilo
Version:	0.2.7
Release:	%mkrel 3
Summary:	Content discovery framework
Group:		System/Libraries
License:	LGPLv2+
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		grilo-0.2.6-vala-0.22.patch
Url:		https://wiki.gnome.org/Grilo
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.22
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.33.4
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	vala-devel >= 0.7.2
BuildRequires:	vala-tools >= 0.7.2
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection-devel >= 0.9.0

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements.

%package -n %{libname}
Summary:	Libraries files for Grilo framework
Group:		System/Libraries

%description -n %{libname}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements, as well as
general and API documentation.

%package -n %{libname_grlnet}
Summary:	Libraries files for Grilo framework
Group:		System/Libraries

%description -n %{libname_grlnet}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements, as well as
general and API documentation.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_grlnet} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Libraries/include files for Grilo framework
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_grlnet} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.

This package contains the core library and elements, as well as
general and API documentation.

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
	--disable-static \
	--enable-vala \
	--enable-gtk-doc \
	--enable-introspection \
	--enable-grl-net \
	--disable-tests
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_libdir}/grilo-%{api} %{buildroot}%{_datadir}/grilo-%{api}/plugins

# Remove files that will not be packaged
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_bindir}/grilo-simple-playlist

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/grl-inspect-%{api}
%{_bindir}/grilo-test-ui-%{api}
%{_libdir}/grilo-%{api}
%{_datadir}/grilo-%{api}/plugins
%{_mandir}/man1/grl-inspect.1.*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files -n %{libname_grlnet}
%{_libdir}/libgrlnet-%{api}.so.%{major_grlnet}*

%files -n %{girname}
%{_libdir}/girepository-1.0/*-%{api}.typelib

%files -n %{devname}
%doc AUTHORS COPYING NEWS README TODO
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}-%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala*/vapi/*


%changelog
* Sat Nov 09 2013 ovitters <ovitters> 0.2.7-3.mga4
+ Revision: 550175
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.2.7-2.mga4
+ Revision: 535084
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 ovitters <ovitters> 0.2.7-1.mga4
+ Revision: 481043
- new version 0.2.7

* Tue Sep 10 2013 fwang <fwang> 0.2.6-2.mga4
+ Revision: 477150
- recognize vala 0.22

* Sat May 25 2013 ovitters <ovitters> 0.2.6-1.mga4
+ Revision: 427234
- update file list
- new version 0.2.6

* Sat Jan 12 2013 umeabot <umeabot> 0.2.4-2.mga3
+ Revision: 352630
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 0.2.4-1.mga3
+ Revision: 323508
- new version 0.2.4

* Sun Nov 11 2012 fwang <fwang> 0.2.3-1.mga3
+ Revision: 316994
- new version 0.2.3

* Fri Oct 05 2012 ovitters <ovitters> 0.2.2-1.mga3
+ Revision: 302836
- new version 0.2.2

* Wed Oct 03 2012 ovitters <ovitters> 0.2.1-1.mga3
+ Revision: 302306
- new version 0.2.1

* Tue Sep 04 2012 ovitters <ovitters> 0.2.0-2.mga3
+ Revision: 288274
- fix requires on subpackage

* Tue Sep 04 2012 ovitters <ovitters> 0.2.0-1.mga3
+ Revision: 288243
- add grlnet subpackage
- fix api
- new version 0.2.0

* Sat Aug 11 2012 ovitters <ovitters> 0.1.20-1.mga3
+ Revision: 280580
- update file list
- new version 0.1.20

* Fri Jun 01 2012 fwang <fwang> 0.1.19-1.mga3
+ Revision: 252678
- update file list

  + ovitters <ovitters>
    - new version 0.1.19

* Fri Dec 09 2011 wally <wally> 0.1.18-1.mga2
+ Revision: 179703
- new version 0.1.18
- clean .spec

* Tue Sep 06 2011 fwang <fwang> 0.1.17-1.mga2
+ Revision: 139043
- update file list
- new version 0.1.17
- create owned dir
- recognize vala 0.14
- imported package grilo

